跨境电商
经验交流分享

在新版本的 PHP 中使用旧的 PHP 代码

有可能影响到老版本的代码的最重要的两点改动分别是:

  • 取消了旧的 $HTTP_*_VARS 数组(在函数或者方法中原本是全局变量)。PHP » 4.1.0 版本引入了如下超全局数组变量:$_GET$_POST$_COOKIE$_SERVER$_FILE$_ENV$_REQUEST 以及 $_SESSION。老的 $HTTP_*_VARS 数组,诸如 $HTTP_POST_VARS 等,从 PHP 3 就已经开始使用,它们仍然存在。自 PHP 5.0.0 起, 用 register_long_arrays 设置选项可禁用长类型的 PHP 预定义变量数组。
  • 外部变量不再被默认注册为全局变量。也就是说,从 PHP » 4.2.0 版开始,php.ini 中的设置选项 register_globals 默认值变成了 off。建议用以上提到的超全局数组变量来访问这些值。但可能老的脚本、书籍以及教程都可能建立在该设置为 on 的基础上。如果该选项被设置为 on,则可以在 URL http://www.example.com/foo.php?id=42 中直接使用变量 $id。但不管被设置为 on 还是 off,$_GET[‘id’] 一直有效。
赞(0)
未经允许不得转载:锐想 » 在新版本的 PHP 中使用旧的 PHP 代码
分享到: 更多 (0)

评论 抢沙发

评论前必须登录!

 

锐想电商 - 跨境电商经验交流分享

锐想无限